version: '3.1'

services:

  mongo:
    image: mongo
    restart: always
    ports:
      - "27017:27017"
    volumes:
        - data:/data
    environment:
      MONGO_INITDB_ROOT_USERNAME: root
      MONGO_INITDB_ROOT_PASSWORD: 123
    networks:
      - appnet

  mongo-express:
    image: mongo-express
    restart: always
    ports:
      - "8081:8081"
    environment:
      ME_CONFIG_MONGODB_ADMINUSERNAME: root
      ME_CONFIG_MONGODB_ADMINPASSWORD: 123
      ME_CONFIG_MONGODB_URL: mongodb://root:123@mongo:27017/
    networks:
      - appnet

  fleet:
    image: fleet-management
    build:
      context: .
      dockerfile: ./fleetManagement/docker/Dockerfile
    container_name: fleet-management
    ports:
      - 8080:8080
    depends_on:
      - mongo
      - mongo-express
    volumes:
      - ./fleetmanagement:/usr/src/fleetapp
    networks:
      - appnet

  fleet-admin:
    image: fleet-management-admin
    build:
      context: .
      dockerfile: ./fleetmanagementadmin/docker/Dockerfile
    container_name: fleet-management-admin
    ports:
      - 8090:8090
    depends_on:
      - fleet
    volumes:
      - ./fleetmanagementadmin:/usr/src/fleetapp
    networks:
      - appnet



volumes:
    data: {}

networks:
  appnet:
    driver: bridge